Intel® X86 Encoder Decoder: xed-portability.h File Reference

Intel® X86 Encoder Decoder

Loading...
Searching...
No Matches
xed-portability.h File Reference
`#include "xed-common-hdrs.h"`
`#include "xed-types.h"`

## Macros
#define | XED_CAST(x, y)
#define | XED_FMT_08X "%08x"
#define | XED_FMT_9U "%9u"
#define | XED_FMT_D "%d"
#define | XED_FMT_LD "%lld"
#define | XED_FMT_LU "%llu"
#define | XED_FMT_LU12 "%12llu"
#define | XED_FMT_LX "%llx"
#define | XED_FMT_LX16 "%016llx"
#define | XED_FMT_LX16_UPPER "%016llX"
#define | XED_FMT_LX_UPPER "%llX"
#define | XED_FMT_SIZET "%u"
#define | XED_FMT_U "%u"
#define | XED_FMT_X "%x"
#define | XED_INLINE __inline
#define | XED_MAX(a, b)
#define | XED_MIN(a, b)
#define | XED_NOINLINE __declspec(noinline)
#define | XED_NORETURN __declspec(noreturn)
#define | XED_REINTERPRET_CAST(x, y)
#define | XED_STATIC_CAST(x, y)

## Functions
XED_DLL_EXPORT void | xed_strcat (char *dst, const char *src)
XED_DLL_EXPORT void | xed_strcpy (char *dst, const char *src)
XED_DLL_EXPORT xed_uint_t | xed_strlen (const char *s)
XED_DLL_EXPORT int | xed_strncat (char *dst, const char *src, int len)
| returns the number of bytes remaining for the next use of xed_strncpy() or xed_strncat() .
XED_DLL_EXPORT int | xed_strncpy (char *dst, const char *src, int len)
| returns the number of bytes remaining for the next use of xed_strncpy() or xed_strncat() .

## Macro Definition Documentation

## ◆ XED_CAST

#define XED_CAST | ( |  | x,
|  |  | y )

Value:
((x) (y))

## ◆ XED_FMT_08X

#define XED_FMT_08X "%08x"

## ◆ XED_FMT_9U

#define XED_FMT_9U "%9u"

## ◆ XED_FMT_D

#define XED_FMT_D "%d"

## ◆ XED_FMT_LD

#define XED_FMT_LD "%lld"

## ◆ XED_FMT_LU

#define XED_FMT_LU "%llu"

## ◆ XED_FMT_LU12

#define XED_FMT_LU12 "%12llu"

## ◆ XED_FMT_LX

#define XED_FMT_LX "%llx"

## ◆ XED_FMT_LX16

#define XED_FMT_LX16 "%016llx"

## ◆ XED_FMT_LX16_UPPER

#define XED_FMT_LX16_UPPER "%016llX"

## ◆ XED_FMT_LX_UPPER

#define XED_FMT_LX_UPPER "%llX"

## ◆ XED_FMT_SIZET

#define XED_FMT_SIZET "%u"

## ◆ XED_FMT_U

#define XED_FMT_U "%u"

## ◆ XED_FMT_X

#define XED_FMT_X "%x"

## ◆ XED_INLINE

#define XED_INLINE __inline

## ◆ XED_MAX

#define XED_MAX | ( |  | a,
|  |  | b )

Value:
(((a) > (b)) ? (a):(b))

## ◆ XED_MIN

#define XED_MIN | ( |  | a,
|  |  | b )

Value:
(((a) < (b)) ? (a):(b))

## ◆ XED_NOINLINE

#define XED_NOINLINE __declspec(noinline)

## ◆ XED_NORETURN

#define XED_NORETURN __declspec(noreturn)

## ◆ XED_REINTERPRET_CAST

#define XED_REINTERPRET_CAST | ( |  | x,
|  |  | y )

Value:
((x) (y))

## ◆ XED_STATIC_CAST

#define XED_STATIC_CAST | ( |  | x,
|  |  | y )

Value:
((x) (y))

## Function Documentation

## ◆ xed_strcat()

XED_DLL_EXPORT void xed_strcat | ( | char * | dst,
|  | const char * | src )

## ◆ xed_strcpy()

XED_DLL_EXPORT void xed_strcpy | ( | char * | dst,
|  | const char * | src )

## ◆ xed_strlen()

XED_DLL_EXPORT xed_uint_t xed_strlen | ( | const char * | s | ) |

## ◆ xed_strncat()

XED_DLL_EXPORT int xed_strncat | ( | char * | dst,
|  | const char * | src,
|  | int | len )

returns the number of bytes remaining for the next use of xed_strncpy() or xed_strncat() .

## ◆ xed_strncpy()

XED_DLL_EXPORT int xed_strncpy | ( | char * | dst,
|  | const char * | src,
|  | int | len )

returns the number of bytes remaining for the next use of xed_strncpy() or xed_strncat() .